Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.pagenavigation
Class PDThread

    java.lang.Object
      org.pdfbox.pdmodel.interactive.pagenavigation.PDThread

All Implemented Interfaces:
  COSObjectable

public class PDThread
extends Object
implements COSObjectable

This a single thread in a PDF document.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Constructor Summary
`PDThread()` Default constructor.
`PDThread(COSDictionary t)` Constructor that is used for a preexisting dictionary.

Method Summary
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`COSDictionary` | `getDictionary()` This will get the underlying dictionary that this object wraps.
`PDThreadBead` | `getFirstBead()` Get the first bead in the thread, or null if it has not been set yet.
`PDDocumentInformation` | `getThreadInfo()` Get info about the thread, or null if there is nothing.
`void` | `setFirstBead(PDThreadBead bead)` This will set the first bead in the thread.
`void` | `setThreadInfo(PDDocumentInformation info)` Set the thread info, can be null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDThread

    public PDThread(COSDictionary t)

  Constructor that is used for a preexisting dictionary.

Parameters:
  `t` - The underlying dictionary.

### PDThread

    public PDThread()

  Default constructor.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  This will get the underlying dictionary that this object wraps.

  Returns:
    The underlying info dictionary.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getThreadInfo

    public PDDocumentInformation getThreadInfo()

  Get info about the thread, or null if there is nothing.

  Returns:
    The thread information.

### setThreadInfo

    public void setThreadInfo(PDDocumentInformation info)

  Set the thread info, can be null.

  Parameters:
    `info` - The info dictionary about this thread.

### getFirstBead

    public PDThreadBead getFirstBead()

  Get the first bead in the thread, or null if it has not been set yet. This is a required field for this object.

  Returns:
    The first bead in the thread.

### setFirstBead

    public void setFirstBead(PDThreadBead bead)

  This will set the first bead in the thread. When this is set it will also set the thread property of the bead object.

  Parameters:
    `bead` - The first bead in the thread.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD